Summary: Measures and controls the time a user spends online.
Name: clobberd
Version: 4.16
Release: 6
Copyright: GPL
Group: Applications/Databases
Source: ftp://metalab.unc.edu/pub/Linux/system/admin/idle/clobberd-%{version}.tgz 
URL: http://www.downunder.net.au/~jsno/
Patch0: make-config.patch 
Patch1: Makefile.patch
Patch2: includes.patch
Buildroot: /var/tmp/clobberd-root

%description
Designed for ISPs (but useful elsewhere), clobberd monitors subscribed
users and can limit them to a total time, to a time limit per day, to
a CPU limit, to a memory limit, or on a priority basis.  Certain users
can be designated exempt to the limitations.

%prep
%setup -q -n clobberd
%patch0 -p1 -b .orig 
%patch1 -p1 -b .orig2
%patch2 -p1 -b .tim

%build
make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/var/lib/clobberd/
mkdir -p $RPM_BUILD_ROOT/var/www/cgi-bin/
make install INSTALL_DIR=$RPM_BUILD_ROOT 


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ACID_TESTS.README BUG_REPORT_FORM.README COPYING HISTORY INSTALL
%doc QUICK_START 
%attr(0700,root,bin) /usr/sbin/clobberedit
%attr(0700,root,bin) /usr/sbin/clobberd
%attr(0700,root,bin) /usr/sbin/clob_tpurge
%attr(0700,root,bin) /usr/sbin/clob_dpurge
%attr(0700,root,bin) /usr/sbin/clob_archive
%attr(0755,root,bin) /usr/sbin/clob_lists
%attr(0755,root,bin) /usr/sbin/clob_gstat
%attr(0755,root,bin) /usr/sbin/clob_notify
%attr(0755,root,bin) /usr/sbin/clob_userstat
%attr(0755,root,bin) /usr/sbin/clob_userstats
%attr(0755,root,bin) /usr/sbin/killuser
%attr(0755,root,bin) /var/www/cgi-bin/clob_userstat.cgi
%attr(0600,root,root) /var/lib/clobberd/boot.conf
%attr(0755,root,root) /var/lib/clobberd/archive.sh
%attr(0755,root,root) %dir /var/lib/clobberd/attic
%attr(0755,root,root) %dir /var/lib/clobberd/log
%attr(0644,root,root) /var/lib/clobberd/mesg/*
%attr(0755,root,root) %dir /var/lib/clobberd/mesg
%attr(0755,root,root) %dir /var/lib/clobberd


%changelog
* Tue Aug 1 2000 Tim Powers <timp@redhat.com>
- fix bad dir permissions, fix bug #15021

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Wed Jul 12 2000 Tim Powers <timp@redhat.com>
- patched to include correct headers (patch2)

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Jun 1 2000 Tim Powers <timp@redhat.com>
- now uses somewhat FHS compliant /var/www instead of /home/httpd
- fixed so that regular users can build it

* Mon May 8 2000 Tim Powers <timp@redhat.com>
- updated to 4.16

* Mon Aug 30 1999 Tim Powers <timp@redhat.com>
- changed groups

* Mon Jul 12 1999 Tim Powers <timp@redhat.com>
- updated source to 4.8
- built for 6.1

* Wed Apr 15 1999 Michael Maher <mike@redhat.co>
- built package for 6.0
- updated source
- lots of spec file changes

* Wed Oct 06 1998 Michael Maher <mike@redhat.com>
- rebuilt package for 5.2

* Wed May 13 1998 Michael Maher <mike@redhat.com>
- Added Build Root and updated package.

* Tue Feb  3 1998 Otto Hammersmith <otto@redhat.com>
- moved all config files into /etc/clobberd and made sure it was
  looking in the right place for it's config files.

